#    CVAssistant
#    Copyright 2015-2016 Aario Shahbany
#
#    This file is part of CVAssistant.
#
#    CVAssistant is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    CVAssistant is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------
#
# Project created by QtCreator 2015-05-13T17:49:30
#
#-------------------------------------------------

QT       += core gui xml

unix {
    LIBS += -lz
    LIBS += -lquazip-qt5
}

win32 {
    INCLUDEPATH += C:/Qt/zlib-1.2.8
    LIBS += -LC:/Qt/zlib-1.2.8 -lz
    INCLUDEPATH += C:/Qt/quazip-0.7/
    LIBS += -LC:/Qt/quazip-0.7/quazip/release -lquazip
    RC_FILE = icon.rc
}

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = cvassistant
TEMPLATE = app
INCLUDEPATH += .

binary.path = /usr/bin
binary.files = cvassistant
INSTALLS += binary

pixmaps.path = /usr/share/pixmaps
pixmaps.files = resources/pixmaps/*
desktop.path = /usr/share/applications
desktop.files += cvassistant.desktop
INSTALLS += pixmaps desktop

SOURCES += main.cpp\
        controllers/mainwindow.cpp \
    helpers/templator.cpp \
    models/abstract/field/abstract/item/abstract/inputitem.cpp \
    models/abstract/field/abstract/item/datedcomboitem.cpp \
    models/abstract/field/abstract/item/lineitem.cpp \
    models/abstract/field/abstract/item/paragraphitem.cpp \
    models/abstract/field/abstract/widget/abstract/analyzablewidget.cpp \
    models/abstract/field/combofield.cpp \
    models/abstract/field/abstract/fieldsgroup.cpp \
    models/abstract/field/abstract/fieldsgroupslayout.cpp \
    models/abstract/field/abstract/inputfield.cpp \
    models/abstract/field/abstract/multiitemfield.cpp \
    models/abstract/field/datefield.cpp \
    models/abstract/field/linefield.cpp \
    models/abstract/field/multidatedcombofield.cpp \
    models/abstract/field/multilinefield.cpp \
    models/abstract/field/multiparagraphfield.cpp \
    models/abstract/field/paragraphfield.cpp \
    models/abstract/groupbox.cpp \
    models/abstract/scrollarea.cpp \
    models/certificate.cpp \
    models/certificates.cpp \
    models/coverletter.cpp \
    models/coverletterparagraph.cpp \
    models/educationdegree.cpp \
    models/educationdegrees.cpp \
    models/jobapplication.cpp \
    models/jobapplications.cpp \
    models/language.cpp \
    models/languages.cpp \
    models/personalinfo.cpp \
    models/personalinfoitem.cpp \
    models/publication.cpp \
    models/publications.cpp \
    models/resumedocument.cpp \
    models/skill.cpp \
    models/skills.cpp \
    models/subjects.cpp \
    models/technicalsynonym.cpp \
    models/technicalsynonyms.cpp \
    models/templatetranslate.cpp \
    models/templatetranslates.cpp \
    models/workexperience.cpp \
    models/workexperiences.cpp \
    controllers/donationdialog.cpp \
    helpers/gui.cpp

HEADERS  += controllers/mainwindow.h \
    helpers/templator.h \
    models/abstract/field/abstract/item/abstract/inputitem.h \
    models/abstract/field/abstract/item/datedcomboitem.h \
    models/abstract/field/abstract/item/lineitem.h \
    models/abstract/field/abstract/item/paragraphitem.h \
    models/abstract/field/abstract/widget/abstract/analyzablewidget.h \
    models/abstract/field/combofield.h \
    models/abstract/field/abstract/field.h \
    models/abstract/field/abstract/fieldsgroup.h \
    models/abstract/field/abstract/fieldsgroupslayout.h \
    models/abstract/field/abstract/inputfield.h \
    models/abstract/field/abstract/multiitemfield.h \
    models/abstract/field/datefield.h \
    models/abstract/field/linefield.h \
    models/abstract/field/multidatedcombofield.h \
    models/abstract/field/multilinefield.h \
    models/abstract/field/multiparagraphfield.h \
    models/abstract/field/paragraphfield.h \
    models/abstract/group.h \
    models/abstract/groupbox.h \
    models/abstract/scrollarea.h \
    models/certificate.h \
    models/certificates.h \
    models/coverletter.h \
    models/coverletterparagraph.h \
    models/educationdegree.h \
    models/educationdegrees.h \
    models/jobapplication.h \
    models/jobapplications.h \
    models/language.h \
    models/languages.h \
    models/personalinfo.h \
    models/personalinfoitem.h \
    models/publication.h \
    models/publications.h \
    models/resumedocument.h \
    models/skill.h \
    models/skills.h \
    models/subjects.h \
    models/technicalsynonym.h \
    models/technicalsynonyms.h \
    models/templatetranslate.h \
    models/templatetranslates.h \
    models/workexperience.h \
    models/workexperiences.h \
    controllers/donationdialog.h \
    helpers/gui.h

FORMS    += views/mainwindow.ui \
    views/donationdialog.ui

RESOURCES += \
    templates.qrc

OTHER_FILES += \
    templates/personalinfo.xml

DISTFILES += \
    icon.rc
