//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef FIELDSGROUP_H
#define FIELDSGROUP_H

#include <QGroupBox>
#include <QVBoxLayout>
#include <QToolButton>
#include <QLabel>
#include <QCheckBox>
#include <QProgressDialog>
#include "inputfield.h"
#include "../../../../helpers/templator.h"

class FieldsGroup : public QGroupBox
{
    Q_OBJECT
private:
    QString m_title;
    bool m_selectable;
    bool m_movable;
    QHBoxLayout hlayout;
    QVBoxLayout vlayout;
public:
    QToolButton foldButton;
    QCheckBox checkBox;
    QLabel foldLabel;
    QVBoxLayout fieldsLayout;
    QToolButton insertButton;
    QToolButton downButton;
    QToolButton deleteButton;
    QToolButton upButton;
    explicit FieldsGroup(QWidget *parent, QString name, QString title, bool selectable, bool movable);
    virtual QDomElement toDomElement(QDomDocument *document);
    virtual void fromDomElement(QProgressDialog *pd, QDomElement element);
    void clear();
    virtual void fold(bool fold);
    virtual QString exportDocX(QList<Translate *> templatetranslates);
    int analyze(QString skill, QList<QStringList> technicalSynonyms, bool autoselect, bool autoreplace, bool ask);
    void addField(InputField *field);

signals:
    void modified();
    void insertClicked(int);

private slots:
    void onInsertButtonClicked();
    void onDeleteButtonClicked();
    void onUpButtonClicked();
    void onDownButtonClicked();
    void onFoldButtonClicked();
};

#endif // FIELDSGROUP_H
