//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef FIELDSGROUPSLAYOUT_H
#define FIELDSGROUPSLAYOUT_H

#include <QVBoxLayout>
#include <QToolButton>
#include <QPushButton>
#include <QDomDocument>
#include <QCheckBox>
#include <QProgressDialog>
#include "../../../../helpers/templator.h"
#include "fieldsgroup.h"

class FieldsGroupsLayout : public QVBoxLayout
{
    Q_OBJECT
private:
    QToolButton foldButton;
    QToolButton upButton;
    QToolButton downButton;
    QPushButton addButton;
    QHBoxLayout hlayout;
    bool m_movable;
    bool m_itemSelectable;
public:
    QCheckBox checkBox;
    QVBoxLayout subgroupsLayout;
    explicit FieldsGroupsLayout(QWidget *parent, QString description, bool movable, bool itemSelectable);
    QDomElement toDomElement(QDomDocument *document);
    void fromDomElement(QProgressDialog *pd, QDomElement element);
    virtual QString exportDocX(QList<Translate*> templatetranslates);
    void clear();
    void fold(bool fold);
    int analyze(QString skill, QList<QStringList> technicalSynonyms, bool autoselect, bool autoreplace, bool ask);

signals:
    void modified();
    void addButtonClicked();
    void insertButtonClicked(int index);
    void upButtonClicked();
    void downButtonClicked();
private slots:
    void onFoldButtonClicked();
};

#endif // FIELDSGROUPSLAYOUT_H
