//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef INPUTFIELD_H
#define INPUTFIELD_H

#include <QWidget>
#include <QHBoxLayout>
#include <QCheckBox>
#include <QDomDocument>
#include "widget/abstract/analyzablewidget.h"

class InputField : public AnalyzableWidget
{
    Q_OBJECT
private:
    QString m_name;
    QString m_title;
    QString m_defaultText;
    bool m_updatesGroupTitle;
public:
    QHBoxLayout hlayout;
    explicit InputField(QWidget *parent, QString name, QString title, QString defaultText, bool updatesGroupTitle, bool selectable);
    QString title() {return this->m_title;}
    QString defaultText() {return this->m_defaultText;}
    bool updatesGroupTitle() {return this->m_updatesGroupTitle;}
    virtual void clear();
    virtual QDomElement toDomElement(QDomDocument *document);
    virtual QDomElement mainElement(QDomDocument *document);
    virtual QDomElement checkedElement(QDomDocument *document);
    virtual QDomElement entryElement(QDomDocument *document);
    virtual void fromDomElement(QDomElement element);
    virtual void processEntryElement(QDomElement element);

signals:
    void modified();
};

#endif // INPUTFIELD_H
