//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef INPUTITEM_H
#define INPUTITEM_H

#include <QWidget>
#include <QToolButton>
#include <QHBoxLayout>
#include <QDomDocument>
#include <QStringList>
#include "../../widget/abstract/analyzablewidget.h"

class InputItem : public AnalyzableWidget
{
    Q_OBJECT
public:
    QToolButton insertButton;
    QToolButton downButton;
    QToolButton deleteButton;
    QToolButton upButton;
    QHBoxLayout hlayout;
    InputItem(QWidget *parent, QString name, bool selectable);
    virtual void clear();
    virtual QDomElement toDomElement(QDomDocument *document);
    virtual void fromDomElement(QDomElement element);
signals:
    void insertClicked(int index);
private slots:
    virtual void onUpButtonClicked();
    virtual void onDownButtonClicked();
    virtual void onDeleteButtonClicked();
    virtual void onInsertButtonClicked();
};

#endif // INPUTITEM_H
