//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef DATEDCOMBOITEM_H
#define DATEDCOMBOITEM_H

#include <QDateEdit>
#include <QComboBox>
#include <QDomDocument>
#include "abstract/inputitem.h"
#include "definitions.h"

class DatedComboItem : public InputItem
{
    Q_OBJECT
private:
    QDateEdit dateEdit;
    QComboBox edit;
public:
    DatedComboItem(QWidget *parent, QStringList comboItems, bool selectable);
    QString text();
    void setText(QString text);
    void clear() {edit.clear(); edit.setCurrentIndex(-1);}
    QDate date() {return dateEdit.date();}
    void setDate(QDate date) {dateEdit.setDate(date);}
    QDomElement toDomElement(QDomDocument *document);
    void fromDomElement(QDomElement element);
};

#endif // DATEDCOMBOITEM_H
