//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef MULTIINPUTFIELD_H
#define MULTIINPUTFIELD_H

#include <QPushButton>
#include "inputfield.h"
#include "item/abstract/inputitem.h"

class MultiItemField : public InputField
{
    Q_OBJECT
private:
    bool m_itemSelectable;
public:
    QWidget itemsAndButtonWidget;
    QToolButton addButton;
    QVBoxLayout itemsLayout;
    MultiItemField(QWidget *parent, QString name,
                   QString title=NULL,
                   QString defaultText=NULL,
                   bool updatesGroupTitle=false,
                   bool selectable=false,
                   bool itemSelectable=true);
    bool itemSelectable() {return m_itemSelectable;}
    QStringList texts(bool filterByChecked=false);
    QString text();
    void setText(QString text);
    void clear();
    QDomElement entryElement(QDomDocument *document);
    virtual void processEntryElement(QDomElement element);
    virtual InputItem * makeItem();
    int analyze(QString skill, QList<QStringList> technicalSynonyms, bool autoselect, bool autoreplace, bool ask);
    InputItem *newItem();

private slots:
    virtual void on_addButton_clicked();
    virtual void on_insertButton_clicked(int index);
};

#endif // MULTIINPUTFIELD_H
