//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef ANALYZABLEWIDGET_H
#define ANALYZABLEWIDGET_H

#include <QObject>
#include <QCheckBox>

class AnalyzableWidget : public QWidget
{
    Q_OBJECT
private:
    bool m_selectable;

signals:
    void modified();
public:
    QCheckBox checkBox;
    explicit AnalyzableWidget(QWidget *parent, bool selectable);
    bool selectable() {return this->m_selectable;}
    bool isChecked() {return checkBox.isChecked();}
    virtual QString text();
    virtual void setText(QString text);
    virtual int analyze(QString skill, QList<QStringList> technicalSynonyms, bool autoselect, bool autoreplace, bool ask);
};

#endif // ANALYZABLEWIDGET_H
