//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#include "combofield.h"
#include "definitions.h"

ComboField::ComboField(QWidget *parent, QString name, QString title, QString defaultText, bool updatesGroupTitle, bool selectable):
    InputField(parent, name, title, defaultText, updatesGroupTitle,selectable)
{
    edit.addItems(defaultText.split(COMBO_ITEM_SEPARATOR));
    edit.setEditable(true);
    hlayout.addWidget(&edit);
    connect(&edit,SIGNAL(currentTextChanged(QString)),this,SIGNAL(modified()));
}

void ComboField::setText(QString text)
{
    for (int i=0; i<edit.count(); i++)
        if (text.indexOf(edit.itemText(i))==0)//If text begins with c's item
            edit.setCurrentIndex(i);
    edit.setCurrentText(text);
}
