//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef LINEEDITFIELD_H
#define LINEEDITFIELD_H

#include <QLineEdit>
#include "abstract/inputfield.h"

class LineField : public InputField
{
private:
    QLineEdit edit;
public:
    LineField(QWidget *parent, QString name, QString title=NULL, QString defaultText=NULL, bool updatesGroupTitle=false, bool selectable=false);
    QString text() {return edit.text();}
    void setText(QString text) {edit.setText(text);}
    void clear() { edit.clear(); }
};

#endif // LINEEDITFIELD_H
