//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#include "multidatedcombofield.h"

#include "abstract/item/datedcomboitem.h"
#include <QDebug>

MultiDatedComboField::MultiDatedComboField(QWidget *parent,
                                           QString name,
                                           QString title,
                                           QString defaultText,
                                           bool updatesGroupTitle,
                                           bool selectable,
                                           bool itemSelectable):
    MultiItemField(parent,name,title,defaultText,updatesGroupTitle,selectable,itemSelectable)
{
}

QDate MultiDatedComboField::lastDate()
{
    QDate result;
    result.setDate(1,1,1);
    for (int i=0; i<itemsLayout.count(); i++) {
        DatedComboItem *item=static_cast<DatedComboItem*>(itemsLayout.itemAt(i)->widget());
        if (item->date()>result)
            result=item->date();
    }
    return result;
}

InputItem *MultiDatedComboField::makeItem()
{
    return new DatedComboItem(this,defaultText().split(COMBO_ITEM_SEPARATOR),itemSelectable());
}

