//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef GROUP_H
#define GROUP_H

#include <QVBoxLayout>
#include <QCheckBox>
#include <QLabel>
#include "field/abstract/field.h"

class Group;

class SubgroupInput {
public:
    Group *group;
    QVBoxLayout *vlayout;
    QCheckBox* include;
    QList<FieldInput*> fieldsInput;
    QString foldedTitle;
    QToolButton *deleteButton;
    SubgroupInput(Group *group): group(group), include(NULL) {}
};

class GroupInput {
public:
    QCheckBox* include;
    QList<SubgroupInput*>subgroups;
    QString foldedTitle;
    GroupInput(): include(NULL) {}
};

class Group {
private:
    QString m_name;
    QString m_title;
    QString m_subgroup_title;
    QString m_domelement_tag;
    bool m_has_subgroups;
    bool m_selectable;
    bool m_subgroup_selectable;
    bool m_movable;
public:
    Group(QString name, QString title, QString subgroupTitle, QString domElementtag="masterresume", bool hasSubgroups=true, bool selectable=true, bool subgroupSelectable=true, bool movable=true);
    FieldList fields;
    QVBoxLayout *layout;
    QVBoxLayout *parentVlayout;
    GroupInput input;
    QString name() {return m_name;}
    QString title() {return m_title;}
    QString subgroupTitle() {return m_subgroup_title;}
    QString domElementTag() {return m_domelement_tag;}
    bool hasSubgroups() {return m_has_subgroups;}
    bool selectable() {return m_selectable;}
    bool subgroupSelectable() {return m_subgroup_selectable;}
    bool movable() {return m_movable;}
    void setName(QString name) {m_name=name;}
    void setTitle(QString title) {m_title=title;}
    void setSubgroupTitle(QString subgroupTitle) {m_subgroup_title=subgroupTitle;}
    void setDomElementTag(QString domElementTag) {m_domelement_tag=domElementTag;}
    void setHasSubgroups(bool hasSubgroups) {m_has_subgroups=hasSubgroups;}
    void setSelectable(bool groupIncludeButton) {m_selectable=groupIncludeButton;}
    void setSubgroupSelectable(bool subgroupSelectable) {m_subgroup_selectable=subgroupSelectable;}
    void setMovable(bool movable) {m_movable=movable;}
    void read();
};

#endif // GROUP_H
