//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef MULTIITEMGROUPBOX_H
#define MULTIITEMGROUPBOX_H

#include <QGroupBox>
#include <QCheckBox>
#include <QToolButton>
#include <QDomDocument>
#include <QHBoxLayout>
#include "../../helpers/templator.h"
#include "field/abstract/fieldsgroup.h"
#include "field/abstract/fieldsgroupslayout.h"

class GroupBox : public QGroupBox
{
    Q_OBJECT
public:
    FieldsGroupsLayout vlayout;
    GroupBox(QWidget *parent,
                      QString name,
                      QString title,
                      bool itemSelectable);
    virtual FieldsGroup *makeFieldsGroup();
    virtual QString exportDocX(QList<Translate*> templatetranslates);
    FieldsGroup *newFieldsGroup();

signals:
    void modified();
private slots:
    void onAddButtonClicked();
    void onInsertButtonClicked(int index);
    void onUpButtonClicked();
    void onDownButtonClicked();
};

#endif // MULTIITEMGROUPBOX_H
