//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef MULTIITEMSCROLLAREA_H
#define MULTIITEMSCROLLAREA_H

#include <QScrollArea>
#include <QCheckBox>
#include <QToolButton>
#include <QDomDocument>
#include <QHBoxLayout>
#include "../../helpers/templator.h"
#include "field/abstract/fieldsgroup.h"
#include "field/abstract/fieldsgroupslayout.h"

class ScrollArea : public QScrollArea
{
    Q_OBJECT
public:
    FieldsGroupsLayout vlayout;
    explicit ScrollArea(QWidget *parent,
                                 QString name,
                                 QString description=NULL,
                                 bool itemSelectable=true);
    virtual FieldsGroup *makeFieldsGroup();
    FieldsGroup *newFieldsGroup();

signals:
    void modified();
private slots:
    void onModified();
    void onAddButtonClicked();
    void onInsertButtonClicked(int index);
};

#endif // MULTIITEMSCROLLAREA_H
