//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#include "certificate.h"
#include "abstract/field/linefield.h"
#include "abstract/field/multiparagraphfield.h"

Certificate::Certificate(QWidget *parent) :
    FieldsGroup(parent,"certificate","Certificate",true,true)
{
    addField(new LineField(this,"from","From"));
    addField(new LineField(this,"to","To"));
    addField(new LineField(this,"subject","Subject","Software Developer",true));
    addField(new LineField(this,"organization","Organization","Super Company",true));
    addField(new MultiParagraphField(this,"decriptions","Descriptions",NULL,false,true,true));
    //Noticed decriptions? Due to compatibility with old version we have to keep this typo here!
}

QString Certificate::exportDocX(QList<Translate *> templatetranslates)
{
    QString from = static_cast<InputField*>(fieldsLayout.itemAt(0)->widget())->text().toHtmlEscaped();
    QString to = static_cast<InputField*>(fieldsLayout.itemAt(1)->widget())->text().toHtmlEscaped();
    QString fromTo = from;
    if (to.count()) {
        fromTo += " - " + to;
    }
    return FieldsGroup::exportDocX(templatetranslates).replace("[certificate_fromto]", fromTo);
}
