//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#include "coverletter.h"
#include "coverletterparagraph.h"
#include "abstract/field/abstract/fieldsgroup.h"
#include "abstract/field/abstract/multiitemfield.h"

CoverLetter::CoverLetter(QWidget *parent) :
    ScrollArea(parent,"paragraphs","Paragraphs",true)
{
}

FieldsGroup *CoverLetter::makeFieldsGroup()
{
    return (new CoverLetterParagraph(this));
}

QString CoverLetter::exportText()
{
    QString content;

    for (int i=0; i<vlayout.subgroupsLayout.count(); i++) {
        FieldsGroup *paragraph=static_cast<FieldsGroup*>(vlayout.subgroupsLayout.itemAt(i)->widget());
        if (!paragraph->checkBox.isChecked())
            continue;
        content.append(qobject_cast<MultiItemField*>(paragraph->fieldsLayout.itemAt(0)->widget())->texts(true).join(" "));
        QStringList items=qobject_cast<MultiItemField*>(paragraph->fieldsLayout.itemAt(1)->widget())->texts(true);
        for (int j=0; j<items.count();j++) {
            content.append(items.at(j));
            if (j<items.count()-2)
                content.append(", ");
            else if (j<items.count()-1)
                content.append(" and ");
        }
        content.append(qobject_cast<MultiItemField*>(paragraph->fieldsLayout.itemAt(2)->widget())->texts(true).join(" "));
    }

    content.replace("\n","\r\n");//Windows line endinges
    return content;
}
