//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#include "educationdegree.h"
#include "abstract/field/linefield.h"
#include "abstract/field/multiparagraphfield.h"

EducationDegree::EducationDegree(QWidget *parent) :
    FieldsGroup(parent,"educationdegree","Education Degree",true,true)
{
    addField(new LineField(this,"from","From"));
    addField(new LineField(this,"to","To"));
    addField(new LineField(this,"subject","Subject","Software Developer",true));
    addField(new LineField(this,"school","School","Super University",true));
    addField(new MultiParagraphField(this,"decriptions","Descriptions",NULL,false,true,true));
    //Noticed decriptions? Due to compatibility with old version we have to keep this typo here!
}
