//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#include "jobapplications.h"
#include <QApplication>
#include <QTextStream>
#include "jobapplication.h"
#include "abstract/scrollarea.h"

JobApplications::JobApplications(QWidget *parent) :
    ScrollArea(parent,
                        "positions",
                        "Job Applications:"
                        "Keep track of all your job applications here",
                        false)
{
}

FieldsGroup *JobApplications::makeFieldsGroup()
{
    return (new JobApplication(this));
}

void JobApplications::archiveAbandonedApplications(QProgressDialog *pd, QFile *f)
{
    QString content;
    QList<JobApplication*> mustDelete;
    for (int i=0; i<vlayout.subgroupsLayout.count(); i++) {
        JobApplication *jobApplication=static_cast<JobApplication*>(vlayout.subgroupsLayout.itemAt(i)->widget());
        pd->setValue(pd->value()+1);
        qApp->processEvents();
        if (jobApplication->jobApplicationState()!=JobApplication::Abandoned)
            continue;
        content+=jobApplication->exportCSV();
        mustDelete.append(jobApplication);
    }
    pd->setLabelText("Cleaning up...");
    pd->setValue(0);
    pd->setMaximum(mustDelete.count());
    foreach(JobApplication *jobApplication, mustDelete) {
        delete jobApplication;
        pd->setValue(pd->value()+1);
        qApp->processEvents();
    }
    QTextStream ts(f);
    ts << content;
}
