//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#ifndef TEMPLATES_H
#define TEMPLATES_H

#include <QString>
#include <QPixmap>
#include "abstract/group.h"
#include <QDir>
#include <QList>
#include <quazip/quazipfile.h>
#include "../helpers/templator.h"

class ResumeDocument
{
private:
    QList<Translate*> templatetranslates;
    QString m_filename;
    QPixmap *pmProfilePhoto;
    void saveFile(QuaZip *zip, QString filename, QString content);
    QString formatItems(QStringList items, QString templateName, QString itemTag);
    QDir dir;
    bool removeDir(const QString & dirName);
public:
    QString content;
    ResumeDocument(QList<Translate*> translates);
    void addProfilePhoto(QPixmap *profilePhoto);
    void startNew() {content.clear(); pmProfilePhoto=NULL;}
    void save(QString filename, int fontSize=12);
};

#endif // TEMPLATES_H
