//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#include "skill.h"
#include "abstract/field/linefield.h"

Skill::Skill(QWidget *parent) :
    FieldsGroup(parent,"skill","Skill",true,true)
{
    addField(new LineField(this,"skill","Skill","Development",true,false));
    addField(new LineField(this,"level","Level (Optional)"));
}

QString Skill::exportDocX(QList<Translate *> templatetranslates)
{
    QString level=static_cast<LineField*>(fieldsLayout.itemAt(1)->widget())->text();
    if (level.count())
        level="("+level+")";
    return Templator::readTemplate(objectName(),templatetranslates)
            .replace("["+objectName()+"_skill]",
                     static_cast<LineField*>(fieldsLayout.itemAt(0)->widget())->text()
                     +level);
}
