//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#include "technicalsynonyms.h"
#include "technicalsynonym.h"

TechnicalSynonyms::TechnicalSynonyms(QWidget *parent) :
    ScrollArea(parent,
                        "technicalsynonyms",
                        "<html><head/>"
                        "<body>"
                        "<p>Technical Synonyms</p>"
                        "<p>Enter technical synonyms in your field. Examples</p>"
                        "<p><span style=\" font-style:italic;\">OOP</span><br>"
                        "<span style=\" font-style:italic;\">Object Oriented Programming</span></p>"
                        "<p>or</p>"
                        "<p><span style=\" font-style:italic;\">Office Suite</span><br>"
                        "<span style=\" font-style:italic;\">Office Software</span><br>"
                        "<span style=\" font-style:italic;\">Word Processors</span></p>"
                        "</body>"
                        "</html>",false)
{
}

FieldsGroup *TechnicalSynonyms::makeFieldsGroup()
{
    return (new TechnicalSynonym(this));
}

QList<QStringList> TechnicalSynonyms::synonymGroups()
{
    QList<QStringList> result;
    for (int i=0; i<vlayout.subgroupsLayout.count(); i++) {
        TechnicalSynonym *TechnicalSynonymGroup=static_cast<TechnicalSynonym*>(vlayout.subgroupsLayout.itemAt(i)->widget());
        result.append(TechnicalSynonymGroup->synonymGroup());
    }
    return result;
}
