//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#include "templatetranslates.h"
#include "templatetranslate.h"
#include "abstract/field/linefield.h"

TemplateTranslates::TemplateTranslates(QWidget *parent) :
    ScrollArea(parent,
                        "templatetranslates",
                        "<html><head/>"
                        "<body>"
                        "<p>Translate yourself</p>"
                        "<p>Here you can give translation for static phrases in resume template. For example</p>"
                        "<p>from: <span style=\" font-style:italic;\">Skills</span> to: <span style=\" font-style:italic;\">Fähligkeiten</span></p>"
                        "</body></html>",
                        false)
{
}

FieldsGroup *TemplateTranslates::makeFieldsGroup()
{
    return (new TemplateTranslate(this));
}

QList<Translate*> TemplateTranslates::translates()
{
    QList<Translate*> result;
    for (int i=0; i<vlayout.subgroupsLayout.count(); i++) {
        TemplateTranslate *translate=static_cast<TemplateTranslate*>(vlayout.subgroupsLayout.itemAt(i)->widget());
        result.append(new Translate(
                          static_cast<LineField*>(translate->fieldsLayout.itemAt(0)->widget())->text(),
                          static_cast<LineField*>(translate->fieldsLayout.itemAt(1)->widget())->text()
                          )
                      );
    }
    return result;
}
