//    CVAssistant
//    Copyright 2015-2016 Aario Shahbany
//
//    This file is part of CVAssistant.
//
//    CVAssistant is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    CVAssistant is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with CVAssistant.  If not, see <http://www.gnu.org/licenses/>.

#include "workexperience.h"
#include "abstract/field/linefield.h"
#include "abstract/field/multilinefield.h"
#include "abstract/field/multiparagraphfield.h"

WorkExperience::WorkExperience(QWidget *parent) :
    FieldsGroup(parent,"workexperience","Work Experience",true,true)
{
    addField(new LineField(this,"from","From"));
    addField(new LineField(this,"to","To"));
    addField(new LineField(this,"subject","Subject","Software Developer",true));
    addField(new LineField(this,"company","Company","Super Company",true));
    addField(new MultiParagraphField(this,"decriptions","Descriptions",NULL,false,true));
    addField(new MultiLineField(this,"achievements","Achievements",NULL,false,true));
    addField(new MultiParagraphField(this,"moredescriptions","More Descriptions",NULL,false,true));
}
